package com.ygtx.gxt.domain;

import com.ygtx.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 月度场站运行天数工单对象 gxt_month_runtime
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
public class GxtMonthRuntime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 月度统计表ID */
    private Long monthScoreId;

    /** 场站ID */
    private Long deptId;

    /** 场站名称 */
    private String deptName;

    private Long stationId;

    private String stationName;

    /** 运行天数范围ID */
    private Long runtimeScoreId;

    /** 设备数量 */
    private Integer deviceCount;

    /** 运行天数对应分值 */
    private BigDecimal runtimeScore;

    /** 计算得分(工单数量×分值) */
    private BigDecimal calculatedScore;

    /** 统计月份 */
    private String monthPeriod;


    private Date endTime;

    private String runtimeRange;

    private Integer fromDays;

    private Integer toDays;

    private Integer stopNum;

    private Integer runningNum;

    private List<GxtRepairOrder> repairOrderList;

    private List<GxtWorkOrder> workOrderList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMonthScoreId(Long monthScoreId) 
    {
        this.monthScoreId = monthScoreId;
    }

    public Long getMonthScoreId() 
    {
        return monthScoreId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public void setRuntimeScoreId(Long runtimeScoreId)
    {
        this.runtimeScoreId = runtimeScoreId;
    }

    public Long getRuntimeScoreId() 
    {
        return runtimeScoreId;
    }
    public void setDeviceCount(Integer deviceCount) 
    {
        this.deviceCount = deviceCount;
    }

    public Integer getDeviceCount() 
    {
        return deviceCount;
    }
    public void setRuntimeScore(BigDecimal runtimeScore) 
    {
        this.runtimeScore = runtimeScore;
    }

    public BigDecimal getRuntimeScore() 
    {
        return runtimeScore;
    }
    public void setCalculatedScore(BigDecimal calculatedScore) 
    {
        this.calculatedScore = calculatedScore;
    }

    public BigDecimal getCalculatedScore() 
    {
        return calculatedScore;
    }
    public void setMonthPeriod(String monthPeriod) 
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getRuntimeRange() {
        return runtimeRange;
    }

    public void setRuntimeRange(String runtimeRange) {
        this.runtimeRange = runtimeRange;
    }

    public Integer getFromDays() {
        return fromDays;
    }

    public void setFromDays(Integer fromDays) {
        this.fromDays = fromDays;
    }

    public Integer getToDays() {
        return toDays;
    }

    public void setToDays(Integer toDays) {
        this.toDays = toDays;
    }

    public Integer getStopNum() {
        return stopNum;
    }

    public void setStopNum(Integer stopNum) {
        this.stopNum = stopNum;
    }

    public Integer getRunningNum() {
        return runningNum;
    }

    public void setRunningNum(Integer runningNum) {
        this.runningNum = runningNum;
    }

    public List<GxtRepairOrder> getRepairOrderList() {
        return repairOrderList;
    }

    public void setRepairOrderList(List<GxtRepairOrder> repairOrderList) {
        this.repairOrderList = repairOrderList;
    }

    public List<GxtWorkOrder> getWorkOrderList() {
        return workOrderList;
    }

    public void setWorkOrderList(List<GxtWorkOrder> workOrderList) {
        this.workOrderList = workOrderList;
    }
}